For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
      • POSTCreate big segment export
      • POSTCreate big segment import
      • POSTCreate segment
      • DELDelete segment
      • GETGet big segment export
      • GETGet big segment import
      • GETGet big segment membership for context
      • GETGet big segment membership for user
      • GETGet expiring targets for segment
      • GETGet expiring user targets for segment
      • GETGet segment
      • POSTList segment memberships for context instance
      • GETList segments
      • PATCHPatch segment
      • POSTUpdate context targets on a big segment
      • PATCHUpdate expiring targets for segment
      • PATCHUpdate expiring user targets for segment
      • POSTUpdate user context targets on a big segment
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewSegments

Update user context targets on a big segment

POST
/api/v2/segments/:projectKey/:environmentKey/:segmentKey/users
POST
/api/v2/segments/:projectKey/:environmentKey/:segmentKey/users
$curl -X POST https://app.launchdarkly.com/api/v2/segments/projectKey/environmentKey/segmentKey/users \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}

Update user context targets included or excluded in a big segment. Big segments include larger list-based segments and synced segments. This operation does not support standard segments.

Was this page helpful?
Previous

Tags

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key
segmentKeystringRequiredformat: "string"
The segment key

Request

This endpoint expects an object.
includedobjectOptional
excludedobjectOptional

Response

Action succeeded

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error